<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:spaceless>
	<f:if condition="{bgimage}">
		<f:asset.css identifier="wwlinks" priority="1" useNonce="1">
			body { background: url({bgimage}); }
		</f:asset.css>
	</f:if>
	<div class="container">
		<div class="profile">
			<f:image src="{settings.wwlinks.profilePic}" alt="{settings.wwlinks.profileName}" width="100"/>
			<div class="profilename">{settings.wwlinks.profileName}</div>
		</div>
		<div class="socialmedia">
			<ul>
				<f:if condition="{settings.wwlinks.instagram}">
					<li>
						<a href="{settings.wwlinks.instagram}"><i class="fa-brands fa-instagram-square"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.twitter}">
					<li>
						<a href="{settings.wwlinks.twitter}"><i class="fa-brands fa-square-x-twitter"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.facebook}">
					<li>
						<a href="{settings.wwlinks.facebook}"><i class="fa-brands fa-facebook-square"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.youtube}">
					<li>
						<a href="{settings.wwlinks.youtube}"><i class="fa-brands fa-youtube-square"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.telegram}">
					<li>
						<a href="{settings.wwlinks.telegram}"><i class="fa-brands fa-telegram"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.linkedin}">
					<li>
						<a href="{settings.wwlinks.linkedin}"><i class="fa-brands fa-linkedin"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.xing}">
					<li>
						<a href="{settings.wwlinks.xing}"><i class="fa-brands fa-xing-square"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.tiktok}">
					<li>
						<a href="{settings.wwlinks.tiktok}"><i class="fa-brands fa-tiktok"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.twitch}">
					<li>
						<a href="{settings.wwlinks.twitch}"><i class="fa-brands fa-twitch"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.snapchat}">
					<li>
						<a href="{settings.wwlinks.snapchat}"><i class="fa-brands fa-snapchat-square"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.github}">
					<li>
						<a href="{settings.wwlinks.github}"><i class="fa-brands fa-github-square"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.gitlab}">
					<li>
						<a href="{settings.wwlinks.gitlab}"><i class="fa-brands fa-gitlab"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.spotify}">
					<li>
						<a href="{settings.wwlinks.spotify}"><i class="fa-brands fa-spotify"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.website1}">
					<li>
						<a href="{settings.wwlinks.website1}"><i class="fas fa-globe"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.website2}">
					<li>
						<a href="{settings.wwlinks.website2}"><i class="fas fa-globe"></i></a>
					</li>
				</f:if>
				<f:if condition="{settings.wwlinks.website3}">
					<li>
						<a href="{settings.wwlinks.website3}"><i class="fas fa-globe"></i></a>
					</li>
				</f:if>
			</ul>
		</div>
		<div class="links">
			<f:format.raw>{content0}</f:format.raw>
		</div>
	</div>
</f:spaceless>
</html>
